Change the travel settings (hr:travel:manage)
PUT /api/hr/v1/travel-settings
Module: HR · operationId: saveTravelSettings · Tag: Travel expenses · Auth: access token (Authorization: Bearer <accessToken>)
Request body
application/json (required)
homeCountry(string): Country whose mileage rate appliestransactionType(string): Trade document type code of released reportsversion(integer): Version for optimistic locking: send the version you read with a change (stale: 409 version_conflict)
Example:
{
"homeCountry": "DE",
"transactionType": "TRAVEL_EXPENSE",
"version": 2
}
Responses
- 200 Saved (
application/json) - 400 Error (
application/json) - 403 Error (
application/json) - 409 Error (
application/json)
Fields of the 200 answer:
homeCountry(string): Country whose mileage rate appliestransactionType(string): Trade document type code of released reportsversion(integer): Version for optimistic locking: send the version you read with a change (stale: 409 version_conflict)
Example 200 answer:
{
"homeCountry": "DE",
"transactionType": "TRAVEL_EXPENSE",
"version": 2
}
Example request
curl -X PUT 'https://api.mbcom.cloud/api/hr/v1/travel-settings' \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H 'Content-Type: application/json' \
--data '{"homeCountry":"DE","transactionType":"TRAVEL_EXPENSE","version":2}'